[Prev: MSGPREFIX] | [Resources][TOC] | [Next: MULTIPG]

# MSGSEP

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_MSGSEP=`Perl-regexp

Element

  `<MSGSEP>
  ` Perl-regexp
  `</MSGSEP>
  `

Command-line Option

  `-msgsep` Perl-regexp

## Description

MSGSEP defines the Perl regular expression that represents the message separator for mailbox files.

## Default Setting

    ^From

Note: There is a space character after "`From`".

## Resource Variables

N/A

## Examples

Some MTAs do not escape lines that start with "`From` ". This will cause MHonArc to split a message into separate messages since it will treat the line as a message separator (if MHonArc is processing a mailbox file). One way to help avoid this problem is to set the MSGSEP resource to a more specific regular expression. For example:

    <MSGSEP>
    ^From \S+\s+\S+\s+\S+\s+\d+\s+\d+:\d+:\d+\s+\d+
    </MSGSEP>

or

    <MSGSEP>
    ^From\s+(?:"[^"]+"@\S+|\S+)\s+\S+\s+\S+\s+\d+\s+\d+:\d+:\d+\s+\d+
    </MSGSEP>

The second version deals with some systems that have quoted local parts in the address listed in the separator.

It is still possible to get bogus splitting if a message contains a line that matches the regexp. Therefore, you may want to activate the CONLEN resource, if applicable.

## Version

1.0

## See Also

CONLEN

[Prev: MSGPREFIX] | [Resources][TOC] | [Next: MULTIPG]